osmo_ss7_as Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

struct llist_head | list
| entry in 'ref osmo_ss7_instance.as_list More...
struct osmo_ss7_instance * | inst
struct osmo_fsm_inst * | fi
| AS FSM. More...
bool | rkm_dyn_allocated
| Were we dynamically allocated by RKM? More...
bool | simple_client_allocated
| Were we allocated by "simple client" support? More...
struct {
char * name
char * description
enum osmo_ss7_asp_protocol proto
struct osmo_ss7_routing_key routing_key
enum osmo_ss7_as_traffic_mode mode
bool mode_set_by_vty
bool mode_set_by_peer
uint32_t recovery_timeout_msec
uint8_t qos_class
struct {
uint32_t dpc
enum osmo_ss7_as_patch_sccp_mode sccp_mode
} pc_override
struct osmo_ss7_asp * asps [16]
uint8_t last_asp_idx_sent
} | cfg

## Field Documentation

## asps

struct osmo_ss7_asp* osmo_ss7_as::asps[16]

Referenced by as_notify_all_asp(), check_any_other_asp_in_active(), check_any_other_asp_not_down(), find_first_as_in_asp(), notify_any_other_active_asp_as_inactive(), osmo_ss7_as_add_asp(), osmo_ss7_as_del_asp(), osmo_ss7_as_has_asp(), osmo_ss7_asp_destroy(), osmo_ss7_asp_find_by_proto(), osmo_ss7_route_name(), write_one_as(), xua_as_select_asp_override(), xua_as_select_asp_roundrobin(), and xua_as_transmit_msg_broadcast().

##

struct { ... } osmo_ss7_as::cfg

Referenced by _rout_key(), as_notify_all_asp(), check_any_other_asp_in_active(), check_any_other_asp_not_down(), DEFUN(), determine_traf_mode(), find_first_as_in_asp(), gen_mtp_transfer_req_xua(), handle_reg_conf(), handle_rkey_dereg(), handle_rkey_reg(), hmrt_message_for_routing(), ipa_asp_fsm_del_route(), ipa_asp_fsm_wait_id_ack2(), ipa_rx_msg_sccp(), ipa_tx_xua_as(), lm_timer_cb(), m3ua_rx_xfer(), m3ua_tx_xua_as(), notify_any_other_active_asp_as_inactive(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_add_asp(), osmo_ss7_as_del_asp(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_by_rctx(), osmo_ss7_as_find_or_create(), osmo_ss7_as_has_asp(), osmo_ss7_as_tmode_compatible_xua(), osmo_ss7_asp_destroy(), osmo_ss7_asp_find_by_proto(), osmo_ss7_route_create(), osmo_ss7_route_name(), sua_tx_xua_as(), write_one_as(), xua_as_fsm_active(), xua_as_fsm_start(), xua_as_select_asp_override(), xua_as_select_asp_roundrobin(), xua_as_transmit_msg_broadcast(), xua_asp_fsm_inactive(), and xua_msg_add_asp_rctx().

## description

char* osmo_ss7_as::description

Referenced by DEFUN(), handle_rkey_reg(), and write_one_as().

## dpc

uint32_t osmo_ss7_as::dpc

## fi

struct osmo_fsm_inst* osmo_ss7_as::fi

AS FSM.

Referenced by DEFUN(), dispatch_to_all_as(), handle_reg_conf(), handle_rkey_dereg(), ipa_asp_fsm_wait_id_ack2(), lm_timer_cb(), m3ua_rx_rkm_reg_req(), m3ua_tx_xua_as(), osmo_ss7_as_active(), osmo_ss7_as_destroy(), osmo_ss7_as_find_or_create(), sua_tx_xua_as(), and xua_asp_fsm_down_onenter().

## inst

struct osmo_ss7_instance* osmo_ss7_as::inst

Referenced by _rout_key(), DEFUN(), dispatch_to_all_as(), gen_mtp_transfer_req_xua(), handle_rkey_reg(), hmrt_message_for_routing(), ipa_asp_fsm_del_route(), ipa_asp_fsm_wait_id_ack2(), m3ua_hmdc_rx_from_l2(), osmo_ss7_as_add_asp(), osmo_ss7_as_del_asp(), osmo_ss7_as_destroy(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_by_rctx(), osmo_ss7_as_find_or_create(), osmo_ss7_vty_go_parent(), scrc_node_12(), scrc_node_2(), scrc_node_4(), scrc_node_7(), write_one_as(), and xua_rkm_cleanup_dyn_as_for_asp().

## last_asp_idx_sent

uint8_t osmo_ss7_as::last_asp_idx_sent

Referenced by xua_as_select_asp_roundrobin().

## list

struct llist_head osmo_ss7_as::list

entry in 'ref osmo_ss7_instance.as_list

Referenced by DEFUN(), determine_traf_mode(), dispatch_to_all_as(), find_as_for_asp(), find_first_as_in_asp(), find_single_as_for_asp(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_destroy(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_by_rctx(), osmo_ss7_as_find_or_create(), osmo_ss7_asp_destroy(), xua_msg_add_asp_rctx(), and xua_rkm_cleanup_dyn_as_for_asp().

## mode

enum osmo_ss7_as_traffic_mode osmo_ss7_as::mode

Referenced by DEFUN(), determine_traf_mode(), handle_rkey_reg(), lm_timer_cb(), osmo_ss7_as_find_or_create(), osmo_ss7_as_tmode_compatible_xua(), write_one_as(), xua_as_fsm_active(), and xua_asp_fsm_inactive().

## mode_set_by_peer

bool osmo_ss7_as::mode_set_by_peer

Referenced by handle_rkey_reg(), osmo_ss7_as_tmode_compatible_xua(), and xua_asp_fsm_inactive().

## mode_set_by_vty

bool osmo_ss7_as::mode_set_by_vty

Referenced by DEFUN(), determine_traf_mode(), handle_rkey_reg(), osmo_ss7_as_tmode_compatible_xua(), write_one_as(), and xua_asp_fsm_inactive().

## name

char* osmo_ss7_as::name

Referenced by DEFUN(), ipa_asp_fsm_wait_id_ack2(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_or_create(), osmo_ss7_route_create(), osmo_ss7_route_name(), write_one_as(), and xua_as_fsm_start().

##

struct { ... } osmo_ss7_as::pc_override

Referenced by DEFUN(), ipa_rx_msg_sccp(), and write_one_as().

## proto

enum osmo_ss7_asp_protocol osmo_ss7_as::proto

Referenced by _rout_key(), as_notify_all_asp(), DEFUN(), gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), ipa_tx_xua_as(), m3ua_tx_xua_as(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_or_create(), osmo_ss7_route_name(), sua_tx_xua_as(), and write_one_as().

## qos_class

uint8_t osmo_ss7_as::qos_class

Referenced by DEFUN(), and write_one_as().

## recovery_timeout_msec

uint32_t osmo_ss7_as::recovery_timeout_msec

Referenced by DEFUN(), osmo_ss7_as_find_or_create(), write_one_as(), and xua_as_fsm_active().

## rkm_dyn_allocated

bool osmo_ss7_as::rkm_dyn_allocated

Were we dynamically allocated by RKM?

Referenced by handle_rkey_dereg(), handle_rkey_reg(), write_one_as(), and xua_rkm_cleanup_dyn_as_for_asp().

## routing_key

struct osmo_ss7_routing_key osmo_ss7_as::routing_key

Referenced by _rout_key(), DEFUN(), handle_reg_conf(), handle_rkey_dereg(), handle_rkey_reg(), ipa_asp_fsm_del_route(), ipa_asp_fsm_wait_id_ack2(), ipa_rx_msg_sccp(), lm_timer_cb(), m3ua_tx_xua_as(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_rctx(), osmo_ss7_as_find_or_create(), sua_tx_xua_as(), write_one_as(), and xua_msg_add_asp_rctx().

## sccp_mode

enum osmo_ss7_as_patch_sccp_mode osmo_ss7_as::sccp_mode

## simple_client_allocated

bool osmo_ss7_as::simple_client_allocated

Were we allocated by "simple client" support?

Referenced by osmo_sccp_simple_client_on_ss7_id(), and write_one_as().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h